/**
 * 
 */
package org.jewel.core;

import java.lang.reflect.Method;

/**
 * <p>Classe que cont la informaci d'un filtre: la classe que el representa i 
 * el mtode que s'executar abans i/o desprs de l'acci</p>
 * 
 * @author Juanma
 * @version 1.0
 *
 */
public class FilterMap {

	/**
	 * Classe filtre
	 */
	private Class<?> filter;
	
	/**
	 * Mtode del filtre que s'executa abans i/o desprs de l'acci
	 */
	private Method method;
	
	
	/**
	 * Constructor
	 * @param filter Classe filtre
	 * @param method Mtode del filtre
	 */
	public FilterMap(Class<?> filter, Method method) {
		this.filter = filter;
		this.method = method;
	}
	
	// Getters
	//
	public Class<?> getFilter() {
		return filter;
	}
	public Method getMethod() {
		return method;
	}

}
