/**
 * 
 */
package org.jewel.taglib;

import javax.servlet.jsp.PageContext;

import org.jewel.exceptions.InvalidContentException;

/**
 * <p>Interfcie utilitzada a les classes {@link DataTableColumn} i {@link DataTableColumnAction}
 * per posar els mtodes que utilitzar l'etiqueta {@link DataTableTag} per generar la taula</p>
 * 
 * @author Juanma
 * @version 1.0
 *
 */
public interface DataTableColumnInterface {

	public String getContent(String variableName, Object item, PageContext pageContext) throws InvalidContentException ;
	public String getTitle();
	public String getHeaderStyle();
	public String getHeaderStyleClass();
	public String getCellStyle();
	public String getCellStyleClass();
	public String getAttributes();
	
}
