/**
 * 
 */
package org.jewel.example.action;

import org.jewel.annotations.Action;
import org.jewel.annotations.Controller;
import org.jewel.annotations.ControllerScope;
import org.jewel.core.ModelAndView;
import org.jewel.core.dispatchers.TilesResultDispatcher;

/**
 * @author Juanma
 *
 */
@Controller(name="principalController", path="/principal", scope=ControllerScope.REQUEST)
public class PrincipalController {

	@Action(path="/index", params={})
	public ModelAndView index() {
		return (new ModelAndView(null, "index", TilesResultDispatcher.class, null));
	}
}
