/**
 * 
 */
package org.jewel.example.action;

import java.util.ArrayList;
import java.util.List;

import org.jewel.annotations.Action;
import org.jewel.annotations.Controller;
import org.jewel.annotations.ControllerScope;

/**
 * @author Juanma
 *
 */
@Controller(path="/theme", name="themeController", scope=ControllerScope.SESSION)
public class ThemeController {

	private String themeSelected = "orange";
	private static List<String> themesAvailable;
	static {
		themesAvailable = new ArrayList<String>();
		themesAvailable.add("orange");
		themesAvailable.add("blue");
	}
	
	@Action(path="/#{theme}", params={})
	public void canviarTema(String nouTema) {
		if (themesAvailable.contains(nouTema)) {
			this.themeSelected = nouTema;
		}
	}
	
	// Getters / Setters
	public String getThemeSelected() {
		return themeSelected;
	}
	public void setThemeSelected(String themeSelected) {
		this.themeSelected = themeSelected;
	}
	public List<String> getThemesAvailable() {
		return themesAvailable;
	}
	
}
