/**
 * 
 */
package org.jewel.example.services.dao;

import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import org.hibernate.Session;

/**
 * <p>Utilitat per obtenir la sessi d'Hibernate a partir de la unitat de persistncia
 * declarada a l'arxiu persistence.xml per tal de connectar-se a la BD</p>
 * 
 * @author Juanma
 *
 */
public class HibernateUtil {
	
	private static final EntityManagerFactory emFactory = buildEntityManagerFactory();
	
	private static EntityManagerFactory buildEntityManagerFactory() {
		return Persistence.createEntityManagerFactory("Jewel-Example-PU");
	}
	
	public static Session getSession() {
		return (Session) emFactory.createEntityManager().getDelegate();
	}
	
}
