/**
 * 
 */
package org.jewel.example.services.dao;

import java.io.Serializable;
import java.util.List;

/**
 * @author Juanma
 *
 */
public interface InterfaceHibernateDAO<MODEL, ID extends Serializable> {

	public abstract MODEL create(MODEL entity);
	public abstract MODEL update(MODEL entity);
	public abstract void delete(MODEL entity);
	public abstract MODEL findById(ID id);
	public abstract List<MODEL> findAll();
	
}
