<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="jwl" uri="http://jewel.org/taglib" %>

<script type="text/javascript">
<!--
$(document).ready(function() {
	$('#codi_empleat').blur(function() {
		$.ajax({
			url: '<jwl:url action="#{adminEmpleats.comprobarCodiJson }" ajax="true" />',
			dataType: 'json',
			type: "POST",
			data: { codi: $('#codi_empleat').val() },
			success: function(data) {
				if (data.existeix == true || data.existeix == 'true') {
					$('#codi_empleat_result').show();
				}
				else {
					$('#codi_empleat_result').hide();
				}
			}
		});
	});
});
//-->
</script>

<h1><jwl:outputText text="#{msgs['nou_empleat'] }" /></h1>
<fieldset>
	<legend><jwl:outputText text="#{msgs['dades_empleat'] }" /></legend>
	
	<jwl:form method="POST" name="f_crear_empleat">
		<table>
			<tr>
				<td><b><jwl:label forId="codi_empleat" text="#{msgs['empleat.codi'] }" /></b></td>
				<td colspan="3">
					<jwl:inputText id="codi_empleat" name="codi" required="true" requiredMessage="#{msgs['requerit.empleat.codi'] }" />
					<jwl:outputText text="#{msgs['codi_empleat_existent'] }" id="codi_empleat_result" style="display:none;color:red;"></jwl:outputText>
				</td>
				<td><b><jwl:label forId="departament" text="#{msgs['empleat.departament'] }" /></b></td>
				<td>
					<jwl:select id="departament" name="idDept" emptyOption="true" emptyOptionLabel="#{msgs['select.departament'] }" 
							required="true" requiredMessage="#{msgs['requerit.empleat.departament'] }">
						<jwl:options elements="#{departaments }" var="departament" label="#{departament.nom }" value="#{departament.id }" />
					</jwl:select>
				</td>
			</tr>
			<tr>
				<td><b><jwl:outputText text="#{msgs['empleat.nom'] }" /></b></td>
				<td>
					<jwl:inputText name="nom" required="true" requiredMessage="#{msgs['requerit.empleat.nom'] }" />
				</td>
				<td><b><jwl:outputText text="#{msgs['empleat.cognom1'] }" /></b></td>
				<td>
					<jwl:inputText name="cognom1" required="true" requiredMessage="#{msgs['requerit.empleat.cognom1'] }" />
				</td>
				<td><b><jwl:outputText text="#{msgs['empleat.cognom2'] }" /></b></td>
				<td>
					<jwl:inputText name="cognom2" />
				</td>
			</tr>
			<tr>
				<td colspan="6">
					<jwl:outputText text="#{msgs['empleat.perfil'] }"></jwl:outputText>
				</td>
			</tr>
			<tr>
				<td colspan="6">
					<jwl:selectRadio name="idPerfil" required="true" requiredMessage="#{msgs['requerit.empleat.perfil'] }">
						<jwl:options var="perfil" label="#{perfil.nom }" elements="#{perfils }" value="#{perfil.id }" />
					</jwl:selectRadio>
				</td>
			</tr>
			<tr>
				<td colspan="6">
					<jwl:outputText text="#{msgs['empleat.habilitats'] }"></jwl:outputText>
				</td>
			</tr>
			<tr>
				<td colspan="6">
					<jwl:selectCheckbox name="idHabilitats" required="true" requiredMessage="#{msgs['requerit.empleat.habilitats'] }">
						<jwl:options var="habilitat" label="#{habilitat.nom }" elements="#{habilitats }" value="#{habilitat.id }" />
					</jwl:selectCheckbox>
				</td>
			</tr>
		</table>
		
		<jwl:commandButton action="#{adminEmpleats.crearEmpleat }" label="#{msgs['crear'] }"></jwl:commandButton>
	</jwl:form>
</fieldset>