<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="jwl" uri="http://jewel.org/taglib" %>

<h1>Nou projecte</h1>
<fieldset>
	<legend><jwl:outputText text="#{msgs['dades_projecte'] }" /></legend>
	
	<jwl:form method="POST" name="f_crear_projecte">
		<table>
			<tr>
				<td><b><jwl:outputText text="#{msgs['projecte.codi'] }" /></b></td>
				<td>
					<jwl:inputText name="codi" required="true" requiredMessage="#{msgs['requerit.projecte.codi'] }" />
				</td>
				<td><b><jwl:outputText text="#{msgs['projecte.nom'] }" /></b></td>
				<td colspan="3">
					<jwl:inputText name="nom" required="true" requiredMessage="#{msgs['requerit.projecte.nom'] }" size="49"/>
				</td>
			</tr>
			<tr>
				<td><b><jwl:outputText text="#{msgs['projecte.cap_projecte'] }" /></b></td>
				<td>
					<jwl:select name="idEmpleat" emptyOption="true" emptyOptionLabel="#{msgs['select.empleat'] }" emptyOptionValue="" 
							required="true" requiredMessage="#{msgs['requerit.projecte.cap_projecte'] }">
						<jwl:options elements="#{empleats }" var="empleat" label="#{empleat.nom }" value="#{empleat.id }" />
					</jwl:select>
				</td>
				<td><b><jwl:outputText text="#{msgs['projecte.data_obertura'] }" /></b></td>
				<td>
					<jwl:inputDate id="data_obertura" name="dataObertura" pattern="dd/mm/yy" size="10" 
							required="true" requiredMessage="#{msgs['requerit.projecte.data_obertura'] }"></jwl:inputDate>
				</td>
				<td><b><jwl:outputText text="#{msgs['projecte.data_tancament'] }" /></b></td>
				<td>
					<jwl:inputDate id="data_tancament" name="dataTancament" pattern="dd/mm/yy" size="10"></jwl:inputDate>
				</td>
			</tr>
		</table>
		
		<jwl:commandButton action="#{adminProjectes.crearProjecte }" label="#{msgs['crear'] }"></jwl:commandButton>
	</jwl:form>
	
</fieldset>