/**
 * 
 */
package org.jewel.util;

/**
 * @author Juanma
 * @version 1.0
 *
 */
public class ArrayUtil {

	public static String getArrayString(Object[] array) {
		StringBuffer sb = new StringBuffer();
		for (Object o : array) {
			sb.append(o.toString() + " - ");
		}
		return sb.toString();
	}
	
	
	public static Integer[] toIntegerArray(Object[] array) {
		if (array == null) return new Integer[0];
		Integer[] result = new Integer[array.length];
		int cont = 0;
		for (Object o : array) {
			result[cont++] = Integer.parseInt(String.valueOf(o));
		}
		return result;
	}


	public static String[] toStringArray(Object[] array) {
		if (array == null) return new String[0];
		String[] result = new String[array.length];
		int cont = 0;
		for (Object o : array) {
			result[cont++] = String.valueOf(o);
		}
		return result;
	}
}
