/**
 * 
 */
package com.jewel.test.dispatchers;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.junit.Test;

import com.google.gson.Gson;

/**
 * @author Juanma
 *
 */
public class JsonResultDispatcherTest {

	/**
	 * Test method for {@link org.jewel.core.dispatchers.JsonResultDispatcher#dispatch(org.jewel.core.ModelAndView, javax.servlet.ServletRequest, javax.servlet.ServletResponse)}.
	 */
	@Test
	public void testDispatch() {
		List<Persona> persones = new ArrayList<Persona>();
		persones.add(new Persona("Juanma", "Lopez", 25));
		persones.add(new Persona("Juan Manuel", "Lopez", 25));
		Map<String, Object> model = new HashMap<String, Object>();
		model.put("persones", persones);
		Gson gson = new Gson();
		System.out.println( gson.toJson(model));
	}

}
