/**
 * 
 */
package org.jewel.example.javabean;

import java.util.Date;

import org.jewel.example.util.DateUtil;


/**
 * @author Juanma
 *
 */
public class FiltreProjectes {

	private String codi;
	private String nom;
	private Integer idEmpleatCap;
	private Integer idDepartament;
	private Date dataIni;
	private Date dataFi;
	
	public String getCodi() {
		return codi;
	}
	public void setCodi(String codi) {
		this.codi = codi;
	}
	public String getNom() {
		return nom;
	}
	public void setNom(String nom) {
		this.nom = nom;
	}
	public Integer getIdEmpleatCap() {
		return idEmpleatCap;
	}
	public void setIdEmpleatCap(Integer idEmpleatCap) {
		this.idEmpleatCap = idEmpleatCap;
	}
	public Integer getIdDepartament() {
		return idDepartament;
	}
	public void setIdDepartament(Integer idDepartament) {
		this.idDepartament = idDepartament;
	}
	public Date getDataIni() {
		return dataIni;
	}
	public void setDataIni(Date dataIni) {
		this.dataIni = dataIni;
	}
	public Date getDataFi() {
		return dataFi;
	}
	public void setDataFi(Date dataFi) {
		this.dataFi = dataFi;
	}
	
	public boolean isEmpty() {
		return ((codi == null || "".equals(codi))
				&& (nom == null || "".equals(nom))
				&& (dataIni == null && dataFi == null)
				&& (idEmpleatCap == null)
				&& (idDepartament == null));
	}
	
	
	@Override
	public String toString() {
		return "[Filtre projecte: " + codi + " - " + nom + " - " + idEmpleatCap + " - " + idDepartament + " - " + DateUtil.formatDate(dataIni) + " - " + DateUtil.formatDate(dataFi) + "]";
	}
}
