package org.jewel.example.persistence;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the habilitat database table.
 * 
 */
@Entity
public class Habilitat implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name="id_habilitat", updatable=false)
	private Integer id;

	@Column(name="nom_habilitat")
	private String nom;

    public Habilitat() {
    }

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getNom() {
		return this.nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

}