package org.jewel.example.persistence;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the perfil_empleat database table.
 * 
 */
@Entity
@Table(name="perfilempleat")
public class PerfilEmpleat implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name="id_perfil", updatable=false)
	private Integer id;

	private String nom;

    public PerfilEmpleat() {
    }

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getNom() {
		return this.nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

}