/**
 * 
 */
package org.jewel.example.util;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author Juanma
 *
 */
public class DateUtil {

	private static final String DEFAULT_DATE_PATTERN = "dd/MM/yyyy";
	
	public static String formatDate(Date date) {
		return formatDate(date, DEFAULT_DATE_PATTERN);
	}
	
	public static String formatDate(Date date, String pattern) {
		if (date == null) return "";
		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
		return sdf.format(date);
	}
}
