<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="jwl" uri="http://jewel.org/taglib" %>

<h1><jwl:outputText text="#{msgs['editar_empleat'] }" /></h1>
<fieldset>
	<legend><jwl:outputText text="#{msgs['dades_empleat'] }" /></legend>
	
	<jwl:form method="POST" name="f_editar_empleat">
		<table>
			<tr>
				<td><b><jwl:outputText text="#{msgs['empleat.codi'] }" /></b></td>
				<td>
					<jwl:outputText text="#{empleat.codiUsuari }" />
				</td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
				<td><b><jwl:outputText text="#{msgs['empleat.departament'] }" /></b></td>
				<td>
					<jwl:select name="idDept" value="#{empleat.departament.id }" emptyOption="true" emptyOptionLabel="#{msgs['select.departament'] }" 
							required="true" requiredMessage="#{msgs['requerit.empleat.departament'] }">
						<jwl:options elements="#{departaments }" var="departament" label="#{departament.nom }" value="#{departament.id }" />
					</jwl:select>
				</td>
			</tr>
			<tr>
				<td><b><jwl:outputText text="#{msgs['empleat.nom'] }" /></b></td>
				<td>
					<jwl:inputText name="nom" value="#{empleat.nom }" required="true" requiredMessage="#{msgs['requerit.empleat.nom'] }" />
				</td>
				<td><b><jwl:outputText text="#{msgs['empleat.cognom1'] }" /></b></td>
				<td>
					<jwl:inputText name="cognom1" value="#{empleat.cognom1 }" required="true" requiredMessage="#{msgs['requerit.empleat.cognom1'] }" />
				</td>
				<td><b><jwl:outputText text="#{msgs['empleat.cognom2'] }" /></b></td>
				<td>
					<jwl:inputText name="cognom2" value="#{empleat.cognom2}" />
				</td>
			</tr>
			<tr>
				<td colspan="6">
					<jwl:selectRadio name="idPerfil" value="#{empleat.perfil.id }" required="true" requiredMessage="#{msgs['requerit.empleat.perfil'] }">
						<jwl:options var="perfil" label="#{perfil.nom }" elements="#{perfils }" value="#{perfil.id }" />
					</jwl:selectRadio>
				</td>
			</tr>
			<tr>
				<td colspan="6">
					<jwl:selectCheckbox name="idHabilitats" value="#{empleat.habilitats }" required="true" requiredMessage="#{msgs['requerit.empleat.habilitats'] }">
						<jwl:options var="habilitat" label="#{habilitat.nom }" elements="#{habilitats }" value="#{habilitat.id }" />
					</jwl:selectCheckbox>
				</td>
			</tr>
		</table>
		
		<jwl:commandButton action="#{adminEmpleats.editarEmpleat }" label="#{msgs['guardar'] }">
			<jwl:param name="id" value="#{empleat.id }"></jwl:param>
		</jwl:commandButton>
	</jwl:form>
</fieldset>
