<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="jwl" uri="http://jewel.org/taglib" %>

<h1><jwl:outputText text="#{msgs['llistat_departaments'] }"/></h1>

<fieldset>
	<legend><jwl:outputText text="#{msgs['filtre'] }"/></legend>
	<jwl:form method="POST" name="f_filtre">
		<table>
			<tr>
				<td><label for="filtre_codi"><jwl:outputText text="#{msgs['departament.nom'] }" /></label></td>
				<td><jwl:inputText value="#{filtre.nom }" name="filtre.nom" /></td>
				<td><jwl:commandButton action="#{departaments.cercarDepartaments }" label="#{msgs['cercar'] }" tokenCheck="false" /></td>
			</tr>
		</table>
	</jwl:form>
</fieldset>

<div>
	<jwl:commandLink action="#{adminDepartaments.nouDepartament }" label="#{msgs['nou_departament'] }" />
</div>

<jwl:dataTable var="departament" elements="#{departaments }" emptyMessage="#{msgs['cerca_buida.departaments'] }" rowStyleClasses="odd,pair">
	<jwl:column value="#{departament.id }" title="Id." />
	<jwl:column value="#{departament.nom }" title="#{msgs['departament.nom'] }"></jwl:column>
	<jwl:columnAction actionText="#{msgs['consultar'] }" action="#{departaments.consultarDepartament }">
		<jwl:param name="id" value="#{departament.id }" />
	</jwl:columnAction>
	<jwl:columnAction actionText="#{msgs['editar'] }" action="#{adminDepartaments.editarDepartament }">
		<jwl:param name="id" value="#{departament.id }" />
	</jwl:columnAction>
</jwl:dataTable>
