<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="jwl" uri="http://jewel.org/taglib" %>
<h1><jwl:outputText text="#{msgs['dades_projecte'] }" /></h1>
<fieldset>
	<legend><jwl:outputText text="#{msgs['dades_projecte'] }" /></legend>

	<table style="background-color:white;">
		<tr>
			<th><jwl:outputText text="#{msgs['projecte.codi'] }" /></th>
			<th><jwl:outputText text="#{msgs['projecte.nom'] }" /></th>
			<th><jwl:outputText text="#{msgs['projecte.data_obertura'] }" /></th>
			<th><jwl:outputText text="#{msgs['projecte.data_tancament'] }" /></th>
			<th><jwl:outputText text="#{msgs['projecte.cap_projecte'] }" /></th>
		</tr>
		<tr>
			<td><jwl:outputText text="#{projecte.codi }" /></td>
			<td><jwl:outputText text="#{projecte.nom }" /></td>
			<td><jwl:outputDate date="#{projecte.dataObertura }" pattern="dd/MM/yyyy" /></td>
			<td><jwl:outputDate date="#{projecte.dataTancament }" pattern="dd/MM/yyyy" /></td>
			<td><jwl:outputText text="#{projecte.capProjecte.nom }" /></td>
		</tr>
	</table>

</fieldset>

<jwl:dataTable elements="#{projecte.projecteEmpleats }" var="projEmp" rowStyleClasses="odd,pair" emptyMessage="#{msgs['no_empleats_projecte'] }">
	<jwl:column value="#{projEmp.empleat.nom }" title="#{msgs['empleat.nom'] }"></jwl:column>
	<jwl:column value="#{projEmp.empleat.cognom1 }" title="#{msgs['empleat.cognom1'] }"></jwl:column>
	<jwl:column value="#{projEmp.empleat.cognom2 }" title="#{msgs['empleat.cognom2'] }"></jwl:column>
	<jwl:column value="#{projEmp.perfil.nom }" title="#{msgs['empleat.perfil'] }"></jwl:column>
	<jwl:column value="#{projEmp.dataInici }" title="#{msgs['empleat.data_inici'] }"></jwl:column>
	<jwl:column value="#{projEmp.dataFi }" title="#{msgs['empleat.data_fi'] }"></jwl:column>
</jwl:dataTable>
