<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles" %>
<%@ taglib prefix="jwl" uri="http://jewel.org/taglib" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<title><jwl:outputText text="#{msgs['titol_aplicacio'] }" onlyText="true" /> </title>
	<script type="text/javascript" src="/jewel-project/js/jquery-1.7.1.min.js"></script>
	<script type="text/javascript" src="/jewel-project/js/jquery-ui-1.8.16.custom.min.js"></script>
	<link rel="stylesheet" type="text/css" href="/jewel-project/css/ui-lightness/jquery-ui-1.8.16.custom.css" media="screen" />
	<link rel="stylesheet" type="text/css" href="/jewel-project/css/theme.css" media="screen" />
	<link rel="stylesheet" type="text/css" href="/jewel-project/css/<jwl:outputText text="#{themeController.themeSelected }" onlyText="true" />.css" media="screen" />
</head>
<body>
	<div id="container">
		<div id="header">
			<tiles:insertAttribute name="header" />
		</div>
		<div id="content">
			<jwl:messages type="ALL" styleClass="missatges" errorStyleClass="error" infoStyleClass="info" />
			<tiles:insertAttribute name="body" />
		</div>
		<div id="footer">
			<tiles:insertAttribute name="footer" />
		</div>
	</div>
</body>
</html>